mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.Remoting.Channels.IClientResponseChannelSinkStack System.Runtime.InteropServices.ComVisible(true)

The is used during processing of responses to asynchronous calls.

During a synchronous call, the method is called when a message is outbound to the server. Each sink in the sink chain calls the method on the next sink until the call reaches the transport sink at the end of the chain. From there the message is transported to the server.

When the formatter sink is called through the method, it dispatches the call asynchronously by calling on the next channel sink. A stack of reply sinks is needed to process the response. Any sink that wants to process the response needs to push itself to the client channel sink stack inside of .

Provides functionality for a stack of client channel sinks that must be invoked during an asynchronous message response decoding.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added

  Pops the information associated with all the sinks from the sink stack up to and including the specified sink.

  Information generated on the request side and associated with the specified sink.

  The sink to remove and return from the sink stack.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The information generated on the request side and specified in the parameter is returned in the parameter of the method on the corresponding sink.

  Pushes the specified sink and information associated with it onto the sink stack.

  The sink to push onto the sink stack. Information generated on the request side that is needed on the response side.